%define cvs 20070214

Name:           asus_acpid
Version:        0.32
Release:        0.1cvs%{cvs}%{?dist}
Summary:        Linux kernel module to allow control of ASUS Laptops

Group:          System Environment/Kernel
License:        GPL2
URL:            http://sourceforge.net/projects/acpi4asus/
#cvs -z3 -d:pserver:anonymous@acpi4asus.cvs.sourceforge.net:/cvsroot/acpi4asus co -P acpi4asus
Source0:        acpi4asus-%{cvs}.tar.bz2
Source1:	acpi4asus-snapshoot.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Provides:	acpi4asus-kmod-common = %{version}
# Not required when laptop is supported by the module bundled with the kernel
#Requires:	acpi4asus-kmod >= %{version}

%description
This project is a user-mode daemon that allows owners of Asus laptops
to use all the functionality of their computers such as special keys, 
special LEDs, brightness control, ...

This package

%prep
%setup -q -n acpi4asus-%{cvs}
sed -i -e 's|/usr/local|%{_prefix}|' asus_acpid/Makefile



%build
pushd asus_acpid
make %{?_smp_mflags}
popd 

%install
rm -rf $RPM_BUILD_ROOT
pushd asus_acpid
make install INSTPREFIX=$RPM_BUILD_ROOT
popd 

cat > acpi4asus.modprobe <<EOF
# kwizart acpi4asus modprobe for newest ASUS Laptops
# options asus_acpi asus_uid:UID asus_gid:GID
# set UID & GID for /proc/acpi/asus.
EOF

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/
install -D -p -m 0644 acpi4asus.modprobe $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/acpi4asus

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changelog LICENSE README samples asus_acpid/listen_sock.pl
%{_bindir}/asus_acpid
%{_sysconfdir}/modprobe.d/acpi4asus
%{_mandir}/man8/*.gz


%changelog
* Mon Feb 14 2007 kwizart < kwizart at gmail.com > - 0.32-0.1cvs20070214
- Update to 20070214

* Mon Jan 15 2007 kwizart < kwizart at gmail.com > - 0.32-0.1cvs20070115
- Initial Release.
