#!/bin/bash

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)
CVS=$(date +%Y%m%d)

pushd "$tmp"
cvs -z3 -d:pserver:anonymous@acpi4asus.cvs.sourceforge.net:/cvsroot/acpi4asus co -P acpi4asus
find . -type d -name CVS -print0 | xargs -0r rm -rf
mv acpi4asus acpi4asus-$CVS
tar jcf "$pwd"/acpi4asus-$CVS.tar.bz2 acpi4asus-$CVS
popd >/dev/null
